# IO.Swagger.Api.AttributeApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateAttribute**](AttributeApi.md#createattribute) | **POST** /attributes | creates a new attribute
[**DeleteAttribute**](AttributeApi.md#deleteattribute) | **DELETE** /lists/{lid}/attributes/{id} | delete the attribute
[**GetAttributes**](AttributeApi.md#getattributes) | **GET** /lists/{lid}/attributes | get all Attributes of selected list
[**UpdateAttribute**](AttributeApi.md#updateattribute) | **PATCH** /attributes/{id} | update the attribute


# **CreateAttribute**
> ApiResponsePost CreateAttribute (AttributePost attribute)

creates a new attribute

creates a new attribute.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateAttributeExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new AttributeApi();
            var attribute = new AttributePost(); // AttributePost | the data to save

            try
            {
                // creates a new attribute
                ApiResponsePost result = apiInstance.CreateAttribute(attribute);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AttributeApi.CreateAttribute: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **attribute** | [**AttributePost**](AttributePost.md)| the data to save | 

### Return type

[**ApiResponsePost**](ApiResponsePost.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteAttribute**
> ApiResponseDelete DeleteAttribute (string lid, string id)

delete the attribute

delete one attribute

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteAttributeExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new AttributeApi();
            var lid = lid_example;  // string | the id of the list
            var id = id_example;  // string | the id of the attribute

            try
            {
                // delete the attribute
                ApiResponseDelete result = apiInstance.DeleteAttribute(lid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AttributeApi.DeleteAttribute: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **id** | **string**| the id of the attribute | 

### Return type

[**ApiResponseDelete**](ApiResponseDelete.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetAttributes**
> AttributeResponse GetAttributes (string lid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Attributes of selected list

get Attributes

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetAttributesExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new AttributeApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Attributes of selected list
                AttributeResponse result = apiInstance.GetAttributes(lid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AttributeApi.GetAttributes: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**AttributeResponse**](AttributeResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateAttribute**
> PatchResponse UpdateAttribute (string id, AttributePatch attribute)

update the attribute

update one attribute

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateAttributeExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new AttributeApi();
            var id = id_example;  // string | the id of the attribute
            var attribute = new AttributePatch(); // AttributePatch | the data to update

            try
            {
                // update the attribute
                PatchResponse result = apiInstance.UpdateAttribute(id, attribute);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AttributeApi.UpdateAttribute: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the attribute | 
 **attribute** | [**AttributePatch**](AttributePatch.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

