# IO.Swagger.Api.CompanyApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetCompany**](CompanyApi.md#getcompany) | **GET** /companies | get the details of a company
[**UpdateCompany**](CompanyApi.md#updatecompany) | **PATCH** /companies/{id} | update the Company


# **GetCompany**
> CompanyResponse GetCompany ()

get the details of a company

get the details of a company

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetCompanyExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new CompanyApi();

            try
            {
                // get the details of a company
                CompanyResponse result = apiInstance.GetCompany();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CompanyApi.GetCompany: " + e.Message );
            }
        }
    }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**CompanyResponse**](CompanyResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateCompany**
> PatchResponse UpdateCompany (string id, CompanyPatch company)

update the Company

update the Company

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateCompanyExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new CompanyApi();
            var id = id_example;  // string | the id of the Company
            var company = new CompanyPatch(); // CompanyPatch | the data to update

            try
            {
                // update the Company
                PatchResponse result = apiInstance.UpdateCompany(id, company);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CompanyApi.UpdateCompany: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the Company | 
 **company** | [**CompanyPatch**](CompanyPatch.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

