# IO.Swagger.Api.GroupApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AddRecipientToGroup**](GroupApi.md#addrecipienttogroup) | **POST** /lists/{lid}/groups/{gid}/recipients/{id} | add single recipient to group
[**AddRecipientsToGroup**](GroupApi.md#addrecipientstogroup) | **POST** /lists/{lid}/groups/{gid}/recipients | add all Recipients to the given group
[**CreateGroup**](GroupApi.md#creategroup) | **POST** /groups | creates a new group
[**DeleteGroup**](GroupApi.md#deletegroup) | **DELETE** /groups/{id} | delete the Group
[**GetGroups**](GroupApi.md#getgroups) | **GET** /lists/{lid}/groups | get all Group of selected list
[**GetRecipientsByGroup**](GroupApi.md#getrecipientsbygroup) | **GET** /lists/{lid}/groups/{gid}/recipients | get all Recipients of selected group
[**RemoveRecipientFromGroup**](GroupApi.md#removerecipientfromgroup) | **DELETE** /lists/{lid}/groups/{gid}/recipients/{id} | remove single recipient from group
[**RemoveRecipientsFromGroup**](GroupApi.md#removerecipientsfromgroup) | **DELETE** /lists/{lid}/groups/{gid}/recipients | remove all Recipients from given group
[**UpdateGroup**](GroupApi.md#updategroup) | **PATCH** /groups/{id} | update the Group


# **AddRecipientToGroup**
> PatchResponse AddRecipientToGroup (string lid, string gid, string id)

add single recipient to group

add Recipient to Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class AddRecipientToGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var id = id_example;  // string | the id of the recipient

            try
            {
                // add single recipient to group
                PatchResponse result = apiInstance.AddRecipientToGroup(lid, gid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.AddRecipientToGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **id** | **string**| the id of the recipient | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **AddRecipientsToGroup**
> PatchResponse AddRecipientsToGroup (string lid, string gid, string filter = null)

add all Recipients to the given group

add all Recipients to the given group. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting added to the group!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class AddRecipientsToGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // add all Recipients to the given group
                PatchResponse result = apiInstance.AddRecipientsToGroup(lid, gid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.AddRecipientsToGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **CreateGroup**
> ApiResponsePost CreateGroup (GroupPost group)

creates a new group

creates a new group.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var group = new GroupPost(); // GroupPost | the data to save

            try
            {
                // creates a new group
                ApiResponsePost result = apiInstance.CreateGroup(group);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.CreateGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group** | [**GroupPost**](GroupPost.md)| the data to save | 

### Return type

[**ApiResponsePost**](ApiResponsePost.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteGroup**
> ApiResponseDelete DeleteGroup (string id)

delete the Group

delete one Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var id = id_example;  // string | the id of the Group

            try
            {
                // delete the Group
                ApiResponseDelete result = apiInstance.DeleteGroup(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.DeleteGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the Group | 

### Return type

[**ApiResponseDelete**](ApiResponseDelete.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetGroups**
> GroupResponse GetGroups (string lid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Group of selected list

get Groups

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetGroupsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Group of selected list
                GroupResponse result = apiInstance.GetGroups(lid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.GetGroups: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**GroupResponse**](GroupResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRecipientsByGroup**
> RecipientResponse GetRecipientsByGroup (string lid, string gid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Recipients of selected group

get Recipients

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetRecipientsByGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Recipients of selected group
                RecipientResponse result = apiInstance.GetRecipientsByGroup(lid, gid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.GetRecipientsByGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**RecipientResponse**](RecipientResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientFromGroup**
> PatchResponse RemoveRecipientFromGroup (string lid, string gid, string id)

remove single recipient from group

remove Recipient to Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientFromGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var id = id_example;  // string | the id of the recipient

            try
            {
                // remove single recipient from group
                PatchResponse result = apiInstance.RemoveRecipientFromGroup(lid, gid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.RemoveRecipientFromGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **id** | **string**| the id of the recipient | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientsFromGroup**
> PatchResponse RemoveRecipientsFromGroup (string lid, string gid, string filter = null)

remove all Recipients from given group

remove all Recipients from given group. Pay attention to the filter, if you forget to submit it, all recipients are getting removed from the group!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientsFromGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // remove all Recipients from given group
                PatchResponse result = apiInstance.RemoveRecipientsFromGroup(lid, gid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.RemoveRecipientsFromGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateGroup**
> PatchResponse UpdateGroup (string id, GroupPatch group)

update the Group

update one Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new GroupApi();
            var id = id_example;  // string | the id of the Group
            var group = new GroupPatch(); // GroupPatch | the data to update

            try
            {
                // update the Group
                PatchResponse result = apiInstance.UpdateGroup(id, group);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling GroupApi.UpdateGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the Group | 
 **group** | [**GroupPatch**](GroupPatch.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

