# IO.Swagger.Api.ListApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateList**](ListApi.md#createlist) | **POST** /lists | creates a new list
[**DeleteList**](ListApi.md#deletelist) | **DELETE** /lists/{id} | delete the List
[**GetLists**](ListApi.md#getlists) | **GET** /lists | get all lists
[**GetRecipients**](ListApi.md#getrecipients) | **GET** /lists/{lid}/recipients | get all Recipients of selected list
[**RemoveRecipientsFromList**](ListApi.md#removerecipientsfromlist) | **DELETE** /lists/{lid}/recipients | remove all Recipients from selected list
[**UpdateList**](ListApi.md#updatelist) | **PATCH** /lists/{id} | update the List
[**UpdateRecipients**](ListApi.md#updaterecipients) | **PATCH** /lists/{lid}/recipients | update all Recipients in selected list


# **CreateList**
> ApiResponsePost CreateList (ListPost list)

creates a new list

creates a new List

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateListExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var list = new ListPost(); // ListPost | the data to save

            try
            {
                // creates a new list
                ApiResponsePost result = apiInstance.CreateList(list);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.CreateList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **list** | [**ListPost**](ListPost.md)| the data to save | 

### Return type

[**ApiResponsePost**](ApiResponsePost.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteList**
> ApiResponseDelete DeleteList (string id)

delete the List

delete one List

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteListExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var id = id_example;  // string | the id of the list

            try
            {
                // delete the List
                ApiResponseDelete result = apiInstance.DeleteList(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.DeleteList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the list | 

### Return type

[**ApiResponseDelete**](ApiResponseDelete.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetLists**
> ListResponse GetLists (string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all lists

get Lists

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetListsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all lists
                ListResponse result = apiInstance.GetLists(filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.GetLists: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**ListResponse**](ListResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRecipients**
> RecipientResponse GetRecipients (string lid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Recipients of selected list

Get Recipients. If the API shall return custom attributes also, submit them in the _fields-Parameter by name.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetRecipientsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Recipients of selected list
                RecipientResponse result = apiInstance.GetRecipients(lid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.GetRecipients: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**RecipientResponse**](RecipientResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientsFromList**
> PatchResponse RemoveRecipientsFromList (string lid, string filter = null)

remove all Recipients from selected list

remove Recipients from selected list. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting removed!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientsFromListExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // remove all Recipients from selected list
                PatchResponse result = apiInstance.RemoveRecipientsFromList(lid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.RemoveRecipientsFromList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateList**
> PatchResponse UpdateList (string id, ListPost list)

update the List

update one List

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateListExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var id = id_example;  // string | the id of the list
            var list = new ListPost(); // ListPost | the data to update

            try
            {
                // update the List
                PatchResponse result = apiInstance.UpdateList(id, list);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.UpdateList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the list | 
 **list** | [**ListPost**](ListPost.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateRecipients**
> PatchResponse UpdateRecipients (string lid, string filter = null)

update all Recipients in selected list

Updates all recipients in the given list where the filter applies. If a value of a custom attribute shall by changed just submit it in the json body. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting updated!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateRecipientsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ListApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // update all Recipients in selected list
                PatchResponse result = apiInstance.UpdateRecipients(lid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ListApi.UpdateRecipients: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

