# IO.Swagger.Api.RecipientApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AddRecipientToGroup**](RecipientApi.md#addrecipienttogroup) | **POST** /lists/{lid}/groups/{gid}/recipients/{id} | add single recipient to group
[**AddRecipientsToGroup**](RecipientApi.md#addrecipientstogroup) | **POST** /lists/{lid}/groups/{gid}/recipients | add all Recipients to the given group
[**CreateRecipient**](RecipientApi.md#createrecipient) | **POST** /recipients | create new recipient(s) or updates existing ones
[**DeleteRecipient**](RecipientApi.md#deleterecipient) | **DELETE** /lists/{lid}/recipients/{id} | delete the recipient
[**GetRecipients**](RecipientApi.md#getrecipients) | **GET** /lists/{lid}/recipients | get all Recipients of selected list
[**GetRecipientsByGroup**](RecipientApi.md#getrecipientsbygroup) | **GET** /lists/{lid}/groups/{gid}/recipients | get all Recipients of selected group
[**ImportRecipientsInit**](RecipientApi.md#importrecipientsinit) | **POST** /lists/{lid}/recipients/import/init | Initialize the import of recipients by file
[**ImportRecipientsSave**](RecipientApi.md#importrecipientssave) | **POST** /lists/{lid}/recipients/import/save | Start the import recipients by file
[**ImportRecipientsStatistics**](RecipientApi.md#importrecipientsstatistics) | **GET** /import/{id}/info | Get statistics about the import by file
[**RemoveRecipientFromGroup**](RecipientApi.md#removerecipientfromgroup) | **DELETE** /lists/{lid}/groups/{gid}/recipients/{id} | remove single recipient from group
[**RemoveRecipientsFromGroup**](RecipientApi.md#removerecipientsfromgroup) | **DELETE** /lists/{lid}/groups/{gid}/recipients | remove all Recipients from given group
[**RemoveRecipientsFromList**](RecipientApi.md#removerecipientsfromlist) | **DELETE** /lists/{lid}/recipients | remove all Recipients from selected list
[**SubscribeRecipient**](RecipientApi.md#subscriberecipient) | **POST** /forms/submit/{code} | Creates a new recipient and sends a DOI-Mail
[**UpdateRecipient**](RecipientApi.md#updaterecipient) | **PATCH** /lists/{lid}/recipients/{id} | update the recipient.
[**UpdateRecipients**](RecipientApi.md#updaterecipients) | **PATCH** /lists/{lid}/recipients | update all Recipients in selected list


# **AddRecipientToGroup**
> PatchResponse AddRecipientToGroup (string lid, string gid, string id)

add single recipient to group

add Recipient to Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class AddRecipientToGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var id = id_example;  // string | the id of the recipient

            try
            {
                // add single recipient to group
                PatchResponse result = apiInstance.AddRecipientToGroup(lid, gid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.AddRecipientToGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **id** | **string**| the id of the recipient | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **AddRecipientsToGroup**
> PatchResponse AddRecipientsToGroup (string lid, string gid, string filter = null)

add all Recipients to the given group

add all Recipients to the given group. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting added to the group!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class AddRecipientsToGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // add all Recipients to the given group
                PatchResponse result = apiInstance.AddRecipientsToGroup(lid, gid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.AddRecipientsToGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **CreateRecipient**
> ApiResponsePost CreateRecipient (RecipientPost recipient)

create new recipient(s) or updates existing ones

create new recipient(s).<br>If a custom attribute shall by saved for the new recipient just submit them in the json body by name.<br>If <b>multiple recipients</b> shall by saved at once, submit multiple recipient-objects as a json array.<br><b>In this case all objects must share the same attributes.</b><br/>If the e-mail-address exists already the existing recipient gets updated.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class CreateRecipientExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var recipient = new RecipientPost(); // RecipientPost | the data to save

            try
            {
                // create new recipient(s) or updates existing ones
                ApiResponsePost result = apiInstance.CreateRecipient(recipient);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.CreateRecipient: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **recipient** | [**RecipientPost**](RecipientPost.md)| the data to save | 

### Return type

[**ApiResponsePost**](ApiResponsePost.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteRecipient**
> ApiResponseDelete DeleteRecipient (string lid, string id)

delete the recipient

delete one recipient

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteRecipientExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var id = id_example;  // string | the id of the recipient

            try
            {
                // delete the recipient
                ApiResponseDelete result = apiInstance.DeleteRecipient(lid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.DeleteRecipient: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **id** | **string**| the id of the recipient | 

### Return type

[**ApiResponseDelete**](ApiResponseDelete.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRecipients**
> RecipientResponse GetRecipients (string lid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Recipients of selected list

Get Recipients. If the API shall return custom attributes also, submit them in the _fields-Parameter by name.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetRecipientsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Recipients of selected list
                RecipientResponse result = apiInstance.GetRecipients(lid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.GetRecipients: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**RecipientResponse**](RecipientResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRecipientsByGroup**
> RecipientResponse GetRecipientsByGroup (string lid, string gid, string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all Recipients of selected group

get Recipients

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetRecipientsByGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all Recipients of selected group
                RecipientResponse result = apiInstance.GetRecipientsByGroup(lid, gid, filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.GetRecipientsByGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**RecipientResponse**](RecipientResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportRecipientsInit**
> InlineResponse200 ImportRecipientsInit (string lid, System.IO.Stream file)

Initialize the import of recipients by file

Initialize the import recipients by file

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ImportRecipientsInitExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var file = new System.IO.Stream(); // System.IO.Stream | recipient file to upload

            try
            {
                // Initialize the import of recipients by file
                InlineResponse200 result = apiInstance.ImportRecipientsInit(lid, file);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.ImportRecipientsInit: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **file** | **System.IO.Stream**| recipient file to upload | 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportRecipientsSave**
> ApiResponsePost ImportRecipientsSave (string lid, Data data)

Start the import recipients by file

Start the import recipients by file. The returned id can be used to fetch further statistics about the import.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ImportRecipientsSaveExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var data = new Data(); // Data | the data to start the import

            try
            {
                // Start the import recipients by file
                ApiResponsePost result = apiInstance.ImportRecipientsSave(lid, data);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.ImportRecipientsSave: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **data** | [**Data**](Data.md)| the data to start the import | 

### Return type

[**ApiResponsePost**](ApiResponsePost.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportRecipientsStatistics**
> ImportResponse ImportRecipientsStatistics (string id)

Get statistics about the import by file

Get statistics about the import by file.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class ImportRecipientsStatisticsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var id = id_example;  // string | the id of the import job

            try
            {
                // Get statistics about the import by file
                ImportResponse result = apiInstance.ImportRecipientsStatistics(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.ImportRecipientsStatistics: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the import job | 

### Return type

[**ImportResponse**](ImportResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientFromGroup**
> PatchResponse RemoveRecipientFromGroup (string lid, string gid, string id)

remove single recipient from group

remove Recipient to Group

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientFromGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var id = id_example;  // string | the id of the recipient

            try
            {
                // remove single recipient from group
                PatchResponse result = apiInstance.RemoveRecipientFromGroup(lid, gid, id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.RemoveRecipientFromGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **id** | **string**| the id of the recipient | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientsFromGroup**
> PatchResponse RemoveRecipientsFromGroup (string lid, string gid, string filter = null)

remove all Recipients from given group

remove all Recipients from given group. Pay attention to the filter, if you forget to submit it, all recipients are getting removed from the group!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientsFromGroupExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var gid = gid_example;  // string | the id of the group
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // remove all Recipients from given group
                PatchResponse result = apiInstance.RemoveRecipientsFromGroup(lid, gid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.RemoveRecipientsFromGroup: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **gid** | **string**| the id of the group | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RemoveRecipientsFromList**
> PatchResponse RemoveRecipientsFromList (string lid, string filter = null)

remove all Recipients from selected list

remove Recipients from selected list. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting removed!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RemoveRecipientsFromListExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // remove all Recipients from selected list
                PatchResponse result = apiInstance.RemoveRecipientsFromList(lid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.RemoveRecipientsFromList: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SubscribeRecipient**
> RecipientSubscribeResponse SubscribeRecipient (string code, RecipientSubscribe recipient)

Creates a new recipient and sends a DOI-Mail

Creates a new recipient and sends the corresponding DOI-Mail attached to the previously created subscribe-form. The recipient will be available as soon as the recipient has confirmed the DOI-Mail.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class SubscribeRecipientExample
    {
        public void main()
        {
            
            var apiInstance = new RecipientApi();
            var code = code_example;  // string | the subscribe-code displayed when creating a subscribe-form
            var recipient = new RecipientSubscribe(); // RecipientSubscribe | the recipient to subscribe

            try
            {
                // Creates a new recipient and sends a DOI-Mail
                RecipientSubscribeResponse result = apiInstance.SubscribeRecipient(code, recipient);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.SubscribeRecipient: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **code** | **string**| the subscribe-code displayed when creating a subscribe-form | 
 **recipient** | [**RecipientSubscribe**](RecipientSubscribe.md)| the recipient to subscribe | 

### Return type

[**RecipientSubscribeResponse**](RecipientSubscribeResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateRecipient**
> PatchResponse UpdateRecipient (string lid, string id, RecipientPatch recipient)

update the recipient.

update one Recipient. If a value of a custom attribute shall by changed just submit it in the json body

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateRecipientExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var id = id_example;  // string | the id of the recipient
            var recipient = new RecipientPatch(); // RecipientPatch | the data to update

            try
            {
                // update the recipient.
                PatchResponse result = apiInstance.UpdateRecipient(lid, id, recipient);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.UpdateRecipient: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **id** | **string**| the id of the recipient | 
 **recipient** | [**RecipientPatch**](RecipientPatch.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateRecipients**
> PatchResponse UpdateRecipients (string lid, string filter = null)

update all Recipients in selected list

Updates all recipients in the given list where the filter applies. If a value of a custom attribute shall by changed just submit it in the json body. Pay attention to the filter, if you forget to submit it, all recipients of the current list are getting updated!

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateRecipientsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new RecipientApi();
            var lid = lid_example;  // string | the id of the list
            var filter = filter_example;  // string | a FIQL-Filter (optional) 

            try
            {
                // update all Recipients in selected list
                PatchResponse result = apiInstance.UpdateRecipients(lid, filter);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RecipientApi.UpdateRecipients: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lid** | **string**| the id of the list | 
 **filter** | **string**| a FIQL-Filter | [optional] 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

