# IO.Swagger.Api.ReportApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetReports**](ReportApi.md#getreports) | **GET** /lists/{lid}/newsletters/{nid}/aggregations | get reports for the newsletter aggregated by days


# **GetReports**
> ReportResponse GetReports (string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get reports for the newsletter aggregated by days

get reports for the newsletter aggregated by days

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReportsExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new ReportApi();
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get reports for the newsletter aggregated by days
                ReportResponse result = apiInstance.GetReports(filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReportApi.GetReports: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**ReportResponse**](ReportResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

