# IO.Swagger.Api.UserApi

All URIs are relative to *https://api.newsletter2go.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetUsers**](UserApi.md#getusers) | **GET** /users | get all users of the company where the current user has access to
[**UpdateUser**](UserApi.md#updateuser) | **PATCH** /users/{id} | update the user


# **GetUsers**
> UserResponse GetUsers (string filter = null, int? limit = null, int? offset = null, bool? expand = null, List<string> fields = null)

get all users of the company where the current user has access to

get Users

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetUsersExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new UserApi();
            var filter = filter_example;  // string | a FIQL-Filter (optional) 
            var limit = 56;  // int? | a limit for list-responses (optional)  (default to 50)
            var offset = 56;  // int? | an offset for list-responses (optional)  (default to 0)
            var expand = true;  // bool? | true if attributes should be returned or not (optional) 
            var fields = new List<string>(); // List<string> | list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed (optional) 

            try
            {
                // get all users of the company where the current user has access to
                UserResponse result = apiInstance.GetUsers(filter, limit, offset, expand, fields);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.GetUsers: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filter** | **string**| a FIQL-Filter | [optional] 
 **limit** | **int?**| a limit for list-responses | [optional] [default to 50]
 **offset** | **int?**| an offset for list-responses | [optional] [default to 0]
 **expand** | **bool?**| true if attributes should be returned or not | [optional] 
 **fields** | [**List<string>**](string.md)| list of case-sensetive fields which should be returned.    Only needed if _expand is false or special attributes are needed | [optional] 

### Return type

[**UserResponse**](UserResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateUser**
> PatchResponse UpdateUser (string id, UserPatch user)

update the user

update one user

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UpdateUserExample
    {
        public void main()
        {
            
            // Configure OAuth2 access token for authorization: OAuth
            Configuration.Default.AccessToken = 'YOUR_ACCESS_TOKEN';

            var apiInstance = new UserApi();
            var id = id_example;  // string | the id of the user
            var user = new UserPatch(); // UserPatch | the data to update

            try
            {
                // update the user
                PatchResponse result = apiInstance.UpdateUser(id, user);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UpdateUser: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| the id of the user | 
 **user** | [**UserPatch**](UserPatch.md)| the data to update | 

### Return type

[**PatchResponse**](PatchResponse.md)

### Authorization

[OAuth](../README.md#OAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

